## sltoo-24.3.3.tar.gz

=== Makefile ===
.PHONY: all
.PHONY: all_html
all: artifacts/requirements.pdf artifacts/req-graph1.png \
	artifacts/req-graph2.png all_html

# Adding new files (especially requirements) can not automatically
# handled.  The 'force' target tries to handle this.
.PHONY: force
force: 
	rm artifacts/.rmtoo_dependencies
	${MAKE} all

#
# This is the way the rmtoo must be called.
#
CONFIG_FILE=file://doc/Config1.json
CALL_RMTOO=rmtoo -m . -j ${CONFIG_FILE}

#
# Dependency handling
#  The file .rmtoo_dependencies is created by rmtoo itself.
#
include artifacts/.rmtoo_dependencies

all_html: ${OUTPUT_HTML}

# And how to make the dependencies
artifacts/.rmtoo_dependencies:
	rmtoo -m . -j ${CONFIG_FILE} \
		--create-makefile-dependencies=artifacts/.rmtoo_dependencies

artifacts/req-graph1.png: artifacts/req-graph1.dot
	unflatten -l 23 artifacts/req-graph1.dot | \
		dot -Tpng -o artifacts/req-graph1.png

artifacts/req-graph2.png: artifacts/req-graph2.dot
	dot -Tpng -o artifacts/req-graph2.png artifacts/req-graph2.dot

# Two calls are needed: one for the requirments converting and one for
# backlog creation.
artifacts/requirements.pdf: ${REQS_LATEX2} doc/latex2/requirements.tex
	(cd artifacts && \
	   gnuplot ../contrib/gnuplot_stats_reqs_cnt.inc && \
	   epstopdf stats_reqs_cnt.eps)
	(cd artifacts && \
	   gnuplot ../contrib/gnuplot_stats_burndown.inc && \
	   epstopdf stats_burndown.eps)
	(cd artifacts && pdflatex ../doc/latex2/requirements.tex; \
		pdflatex ../doc/latex2/requirements.tex; \
		pdflatex ../doc/latex2/requirements.tex)

.PHONY: clean
clean:
	rm -f artifacts/req-graph1.png artifacts/req-graph2.png \
		artifacts/reqtopics.tex artifacts/reqspricing.ods \
		artifacts/req-graph1.dot artifacts/req-graph2.dot \
		artifacts/requirements.aux artifacts/requirements.dvi \
		artifacts/requirements.log artifacts/requirements.out \
		artifacts/requirements.pdf artifacts/requirements.toc \
		add_data.py*
	rm -fr debian/rmtoo build

PYSETUP = python setup.py

.PHONY: install
install:
	$(PYSETUP) install --prefix=${DESTDIR}/usr \
		--install-scripts=${DESTDIR}/usr/bin

.PHONY: tests
tests:
	(cd rmtoo && \
		py.test --cov-report term --cov-report xml --cov=lib --cov=inputs --cov=outputs tests)

.PHONY: deb
deb:
	debuild -I -Imake_latex.log

.PHONY: last_test
last_test:
	nosetests -w rmtoo -v -s --testmatch ".*[rR][mM][tT][tT]est_.*" $${TC}

=== requirements.txt ===
future
gitdb==0.6.4
gitpython==1.0.2
odfpy==1.3.4
pyyaml
numpy
scipy
setuptools
six
jinja2>=2.10

tox
pytest
pytest-cov
flake8
xmldiff==2.4

=== debian/control ===
Source: rmtoo
Section: devel
Priority: extra
Maintainer: Andreas Florath <rmtoo@florath.net>
Build-Depends: debhelper (>= 7), python-central (>=0.6), graphviz (>=2.20), texlive-latex-base (>=2007.dfsg.2), texlive-latex-extra (>=2007.dfsg.17), texlive-latex-recommended (>=2007.dfsg.2)
Standards-Version: 3.8.0
Homepage: http://www.flonatel.de/projekte/rmtoo
XS-Python-Version: >= 2.4

Package: rmtoo
Architecture: all
Depends: python (<< 2.8), python (>= 2.4)
XB-Python-Version: ${python:Versions}
Recommends: graphviz (>=2.20), texlive-latex-base (>=2007.dfsg.2), texlive-latex-extra (>=2007.dfsg.17), texlive-latex-recommended (>=2007.dfsg.2)
Description: requirements management tool
 rmtoo is a free and open source requirements management tool.
 rmtoo uses a different approach than most other requirements
 management tools: it comes as a command line tool which is optimized
 for handling requirements. The power of rmtoo lies in the fact that
 the development environment can handle the input and output files -
 there is no need for a special tool set environment. 
 .
 Example: if you need to handle baselines (and there often is), rmtoo
 can be configured using a revision control system (e.g. git). The
 revision control system can handle different revisions, baselining,
 tagging, branching and many other things extremely well - there is no
 reason to reinvent the wheel and making it less efficient.
 .
 Let one thing do one thing.
 .
 Unique Feature Set
 .
 rmtoo fits perfectly in a development environment using text editors
 and command line tools such as emacs, vi, eclipse, make, maven. 
  * Use simple text files as input - use your favorite editor
  * Many different output formats and artifacts are supported:
    o PDF - with links to dependent requirements
    o HTML - also with links to dependent requirements
    o Requirements dependency graph
    o Requirement count history graph
    o Lists of unfinished requirements including priority and effort
      estimation - e.g. for use in agile project development 
 * Fully integrated revision control system: git. Usages: history,
   statistics and baseline handling. 
 * A topic based output handling provides a common set of files for
   different types of output (PDF, HTML, ...) 
 * Analytics modules: Heuristics help to evaluate the quality of
   requirements 
 * Modules to support commercial biddings based on a given set of
   requirements 
 * Emacs mode files for editing requirements and topics included
 * Experimental output in XML
 * Fully integrated with Makefile handling of all artifacts
 * Fully modular design: additional output requires minimal effort
 * During parsing most common problems are detected: all syntax errors
   and also many semantic errors. 
 * Fully automated test environment - tests about 95% of the code and
 is shipped with rmtoo packages to check for possible problems in
 different environments. 
 .
 rmtoo is not a fully integrated, tries-to-do-everything tool with a
 colorful GUI or different database backends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#
# Debian specific makefile for rmtoo
# Open Source Requirements Management Tool
#

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	. ./setenv.sh && $(MAKE)
	#docbook-to-man debian/rmtoo.sgml > rmtoo.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rmtoo.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rmtoo install


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/requirements
	install doc/requirements/*.req debian/rmtoo/usr/share/doc/rmtoo/requirements

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/html
	install artifacts/html/*.html debian/rmtoo/usr/share/doc/rmtoo/html

	mkdir -p debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_reqs_cnt.inc debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_burndown.inc debian/rmtoo/usr/share/doc/rmtoo/contrib
	install --mode=644 contrib/gnuplot_stats_sprint_burndown.inc debian/rmtoo/usr/share/doc/rmtoo/contrib

	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
	dh_installemacsen

	mkdir -p debian/rmtoo/usr/share/emacs/site-lisp/rmtoo
	install --mode=644 contrib/req-mode.el debian/rmtoo/usr/share/emacs/site-lisp/rmtoo

#	dh_installpam
#	dh_installmime
	dh_pycentral
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
